Bug 600700 - [abrt] crash in awn-extras-applets-0.4.0-12.fc13: awnlib.py:193:register:RuntimeError: Dialog 'secondary' already registered
Summary: [abrt] crash in awn-extras-applets-0.4.0-12.fc13: awnlib.py:193:register:Runt...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: awn-extras-applets (Show other bugs)
(Show other bugs)
Version: 13
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3e5e394c
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-05 17:06 UTC by Niranjan Mallapadi Raghavender
Modified: 2010-06-10 19:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-10 19:24:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.04 KB, text/plain)
2010-06-05 17:06 UTC, Niranjan Mallapadi Raghavender
no flags Details

Description Niranjan Mallapadi Raghavender 2010-06-05 17:06:26 UTC
abrt 1.1.0 detected a crash.

architecture: x86_64
cmdline: python /usr/share/avant-window-navigator/applets/weather/weather.py --uid=1275482468 --window=46137387 --panel-id=1
component: awn-extras-applets
executable: /usr/share/avant-window-navigator/applets/weather/weather.py
kernel: 2.6.33.3-85.fc13.x86_64
package: awn-extras-applets-0.4.0-12.fc13
reason: awnlib.py:193:register:RuntimeError: Dialog 'secondary' already registered
release: Fedora release 13 (Goddard)

backtrace
-----
awnlib.py:193:register:RuntimeError: Dialog 'secondary' already registered

Traceback (most recent call last):
  File "/usr/lib64/python2.6/site-packages/awn/extras/threadqueue.py", line 79, in _callback
    callback(*args)
  File "/usr/share/avant-window-navigator/applets/weather/weather.py", line 511, in cb
    self.set_map_pixbuf(pixbuf)
  File "/usr/share/avant-window-navigator/applets/weather/weather.py", line 532, in set_map_pixbuf
    self.map_dialog = self.applet.dialog.new("secondary", title=self.applet.settings['location'])
  File "/usr/lib64/python2.6/site-packages/awn/extras/awnlib.py", line 171, in new
    self.register(dialog, dlog, focus)
  File "/usr/lib64/python2.6/site-packages/awn/extras/awnlib.py", line 193, in register
    raise RuntimeError("Dialog '%s' already registered" % dialog)
RuntimeError: Dialog 'secondary' already registered

Local variables in innermost frame:
dialog: 'secondary'
self: <awn.extras.awnlib.Dialogs instance at 0x13bff80>
focus: True
dlog: <awn.Dialog object at 0x7f7b4002daf0 (AwnDialog at 0x12cb7d0)>

Comment 1 Niranjan Mallapadi Raghavender 2010-06-05 17:06:29 UTC
Created attachment 421456 [details]
File: backtrace

Comment 2 Fedora Update System 2010-06-08 14:01:53 UTC
awn-extras-applets-0.4.0-14.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/awn-extras-applets-0.4.0-14.fc13

Comment 3 Fedora Update System 2010-06-08 14:02:13 UTC
awn-extras-applets-0.4.0-14.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/awn-extras-applets-0.4.0-14.fc12


Note You need to log in before you can comment on or make changes to this bug.